﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ExcelReport.Model;
using ExcelReport.Services;

namespace ExcelReport
{
    public partial class SimpleReport : System.Web.UI.Page
    {
        public ViewModel Model { get; set; }
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(Request.QueryString["excel"]))
            {
                RenderExcel();
            }

            var repository = new BookRepository();
            Model = new ViewModel();
            Model.Books = repository.List().ToList();
        }

        public class ViewModel
        {
            public List<Book> Books;
        }

        public void RenderExcel()
        {
            exportlink.Visible = false;
            Response.Clear();
            Response.BufferOutput = true;
            Response.AddHeader("Content-Disposition", "attachment; filename=Books.xls");
            Response.ContentType = "application/vnd.ms-excel";
        }
    }
}